FROM registry-vpc.cn-beijing.aliyuncs.com/xinyue/alpine-cst:1
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo 'Asia/Shanghai' > /etc/timezone

COPY user /go/bin/
COPY user.yaml /go/bin/
COPY config /go/bin/
RUN chmod +x /go/bin/user
WORKDIR /go/bin/

CMD ["/go/bin/user", "user", "--config=/go/bin/user.yaml"]

EXPOSE 9001
